This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293238 - Not possible to add metadata entry
Not possible to add metadata entry
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
: 1317957 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 02:51 EST by Anton Giertli
Modified: 2016-03-23 05:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 487073 None None None 2016-02-03 04:15 EST

  None (edit)
Description Anton Giertli 2015-12-21 02:51:15 EST
Description of problem:
If you add new metadata entry in the eclipse designer  via Properties - > General
then the process build will fail with following exception:

Exception in thread "main" java.lang.RuntimeException: Error while creating KieBase[Message [id=1, level=ERROR, path=com/sample/sample.bpmn, line=-1, column=0
   text=unable to parse xml : Exception class org.xml.sax.SAXParseException : <metaData> requires a 'name' attribute]]

Version-Release number of selected component (if applicable):

jbds 8 with 1.1.3 plugin version
jbds 9 with 1.2.1 plugin version
How reproducible:
always

Steps to Reproduce:
1. Create jBPM6 example project in JBDS
2. Add new metadata entry to this process (Properties -> General)
3. Try to run jBPM6 example

Actual results:
It will fail with the exception described

Expected results:
It will not fail


Additional info:
Following XML is generated for the new metadata entry

 <tns:metaData tns:name="TRANSACTIONAL_SUPPORTED">
        <tns:metaValue><![CDATA[true]]></tns:metaValue>
      </tns:metaData>

if you change the tns:name to name manually, then it is possible to build the process
Comment 3 Jozef Marko 2016-02-22 03:07:38 EST
The latest jbds tooling is:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Bug is fixed in:
BPMN2 Modeler - 1.2.3.Final-v20160218-1949-B212

When jbds tooling will contain newer BPMN2 Modeler, I will mark this as verified.
Comment 4 Jozef Marko 2016-03-21 09:31:17 EDT
Reproducible also on:
jbds-8.1.0.GA_jbdsis-8.0.6.CR3
Comment 5 Jozef Marko 2016-03-21 09:33:46 EDT
On jbds-8.1.0.GA_jbdsis-8.0.6.CR3 is user unable to add metadata entry for any element. There is completely missing ui field for this feature.
Comment 6 Jozef Marko 2016-03-21 09:34:18 EDT
*** Bug 1317957 has been marked as a duplicate of this bug. ***
Comment 7 Jozef Marko 2016-03-23 04:47:21 EDT
On jbds-8.1.0.GA_jbdsis-8.0.6.CR3 is user able to add metadata after expert mode is activated:
Preferences->BPMN2->Editor->Behavior
Comment 8 Jozef Marko 2016-03-23 05:34:52 EDT
After "expert" mode is enabled (Preferences-BPMN2-Editor-Behavior), feature works well on:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
jbds-8.1.0.GA_jbdsis-8.0.6.CR3

Note You need to log in before you can comment on or make changes to this bug.